Subject: Re: msvc directory missing in PostgreSQL 17.0

From: 黄铎彦 <[email-masked]>
Date: Sun, 27 Oct 2024 15:44:23 +0800 (GMT+08:00)

I could hardly find detailed and complete tutorials on building the latest version with Visual Studio. I did use meson to generate sln and vcxproj files in Command Prompt (attatchment: 00meson_cmd_to_gen_sln.txt). But after opening the sln and run menu command "build -> build solution", it failed. The contents of the Output Window in Visual Studio are in the attatchment 01build_log.txt.

On 2024/10/27 15:07, Bill Smith wrote:

Check out this:

There's a table showing the setup & build commands using the old way and the new way (meson).

On Oct 21, 2024, at 4:12 PM, Mark Hill <[email-masked]> wrote:

Thanks Bill!   Do you have a sample meson command for building that you could share?

Thanks, Mark
 
From: Bill Smith <[email-masked]>
Sent: Friday, October 18, 2024 4:11 PM
To: Mark Hill <[email-masked]>
Cc: [email-masked]
Subject: Re: msvc directory missing in PostgreSQL 17.0

EXTERNAL

On Oct 18, 2024, at 4:05 PM, Mark Hill <[email-masked]> wrote:
 
I just downloaded the Postgresql 17.0 and the extracted directory postgresql-17.0/src/tools does not contain

the “msvc” directory as it has since I’ve been building Postgres 12, 14, and 16.   How am I supposed to build
PostgreSQL for Windows now?   I’m not sure what msvc_gendef.pl does.   How do we build Postgres for Windows
using Visual Studio?

You’ll want to use meson to build PG.  See the docs here:
|
|
|
|
17.7. Platform-Specific Notes
postgresql.org
|
|

Thanks, Mark